Debian Bug report logs - #267434
needs to conflict with rdesktop 1.3.1

version graph

Package: krdc; Maintainer for krdc is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for krdc is src:krdc.

Reported by: Marc Haber <mh+debian-bugs@zugschlus.de>

Date: Sun, 22 Aug 2004 16:03:01 UTC

Severity: serious

Tags: sid

Found in version 4:3.3.0-1

Fixed in version kdenetwork/4:3.3.0-2

Done: Riku Voipio <riku.voipio@iki.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#267434; Package krdc. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: needs to conflict with rdesktop 1.3.1
Date: Sat, 21 Aug 2004 21:37:10 +0200
Package: krdc
Version: 4:3.3.0-1
Severity: serious

krdc does not work any more with rdesktop 1.3.1. This is shown in a
dialog box when one tries to connect to a rdp server. To prevent krdc
from being installed with an older rdesktop version, an appropriate
Conflicts should be added.

Greetings
Marc

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.27-vash
Locale: LANG=C, LC_CTYPE=de_DE

Versions of packages krdc depends on:
ii  kdelibs4                  4:3.3.0-1      KDE core libraries
ii  libart-2.0-2              2.3.16-6       Library of functions for 2D graphi
ii  libc6                     2.3.2.ds1-16   GNU C Library: Shared libraries an
ii  libgcc1                   1:3.4.1-7      GCC support library
ii  libice6                   4.3.0.dfsg.1-6 Inter-Client Exchange library
ii  libidn11                  0.5.2-2        GNU libidn library, implementation
ii  libjpeg62                 6b-9           The Independent JPEG Group's JPEG 
ii  libpng12-0                1.2.5.0-7      PNG library - runtime
ii  libqt3c102-mt             3:3.3.3-3      Qt GUI Library (Threaded runtime v
ii  libslp1                   1.0.11-7       OpenSLP libraries
ii  libsm6                    4.3.0.dfsg.1-6 X Window System Session Management
ii  libstdc++5                1:3.3.4-9      The GNU Standard C++ Library v3
ii  libx11-6                  4.3.0.dfsg.1-6 X Window System protocol client li
ii  libxext6                  4.3.0.dfsg.1-6 X Window System miscellaneous exte
ii  libxrender1               0.8.3-7        X Rendering Extension client libra
ii  xlibs                     4.3.0.dfsg.1-6 X Window System client libraries m
ii  zlib1g                    1:1.2.1.1-5    compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#267434; Package krdc. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 267434@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Marc Haber <mh+debian-bugs@zugschlus.de>, 267434@bugs.debian.org
Subject: Re: Bug#267434: needs to conflict with rdesktop 1.3.1
Date: Mon, 23 Aug 2004 20:00:07 +0200
On Sat, Aug 21, 2004 at 09:37:10PM +0200, Marc Haber wrote:
> krdc does not work any more with rdesktop 1.3.1. This is shown in a
> dialog box when one tries to connect to a rdp server. To prevent krdc
> from being installed with an older rdesktop version, an appropriate
> Conflicts should be added.

I guess this bug only applies to krdc from KDE 3.3, or is the version
in testing also affected? (disclaimer: I don't use nor maintain KDE,
only trying to get the tags right for this bug)

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#267434; Package krdc. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 267434@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Frank Lichtenheld <djpig@debian.org>
Cc: 267434@bugs.debian.org
Subject: Re: Bug#267434: needs to conflict with rdesktop 1.3.1
Date: Mon, 23 Aug 2004 20:28:59 +0200
On Mon, Aug 23, 2004 at 08:00:07PM +0200, Frank Lichtenheld wrote:
> On Sat, Aug 21, 2004 at 09:37:10PM +0200, Marc Haber wrote:
> > krdc does not work any more with rdesktop 1.3.1. This is shown in a
> > dialog box when one tries to connect to a rdp server. To prevent krdc
> > from being installed with an older rdesktop version, an appropriate
> > Conflicts should be added.
> 
> I guess this bug only applies to krdc from KDE 3.3, or is the version
> in testing also affected? (disclaimer: I don't use nor maintain KDE,
> only trying to get the tags right for this bug)

testing is unaffected. Should have gotten my tags right myself, sorry.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Karlsruhe, Germany |  lose things."    Winona Ryder | Fon: *49 721 966 32 15
Nordisch by Nature |  How to make an American Quilt | Fax: *49 721 966 31 29



Tags added: sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug#267434. Full text and rfc822 format available.

Message #20 received at 267434-submitter@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 267434-submitter@bugs.debian.org
Subject: needs to conflict with rdesktop 1.3.1
Date: Mon, 23 Aug 2004 15:29:58 -0500
[Message part 1 (text/plain, inline)]
Why does kdrc need to conflict with rdesktop? It doesn't appear to use
it at all... It just appears to be another client for the same purpose.
I may be missing something of course.

Description: RDP client for Windows NT/2000 Terminal Server
 rdesktop is an open source client for Windows NT/2000 Terminal Server, capable
 of natively speaking its Remote Desktop Protocol (RDP) in order to present
 the user's NT/2000 desktop. Unlike Citrix ICA, no server extensions are
 required.

Chris
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#267434; Package krdc. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #25 received at 267434-quiet@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Chris Cheney <ccheney@cheney.cx>, 267434-quiet@bugs.debian.org
Subject: Re: Bug#267434: needs to conflict with rdesktop 1.3.1
Date: Tue, 24 Aug 2004 06:42:04 +0200
On Mon, Aug 23, 2004 at 03:29:58PM -0500, Chris Cheney wrote:
> Why does kdrc need to conflict with rdesktop?

See krdpview.cpp lines 195-215. The error message I receive is on line
274-280.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Karlsruhe, Germany |  lose things."    Winona Ryder | Fon: *49 721 966 32 15
Nordisch by Nature |  How to make an American Quilt | Fax: *49 721 966 31 29



Information stored:
Bug#267434; Package krdc. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #30 received at 267434-quiet@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: Marc Haber <mh+debian-bugs@zugschlus.de>
Cc: 267434-quiet@bugs.debian.org
Subject: Re: Bug#267434: needs to conflict with rdesktop 1.3.1
Date: Tue, 24 Aug 2004 00:00:50 -0500
[Message part 1 (text/plain, inline)]
On Tue, Aug 24, 2004 at 06:42:04AM +0200, Marc Haber wrote:
> On Mon, Aug 23, 2004 at 03:29:58PM -0500, Chris Cheney wrote:
> > Why does kdrc need to conflict with rdesktop?
> 
> See krdpview.cpp lines 195-215. The error message I receive is on line
> 274-280.
> 
> Greetings
> Marc

Thanks for the information, I had somehow missed that when grepping,
must have forgotten to use -r.

Chris
[signature.asc (application/pgp-signature, inline)]

Reply sent to Riku Voipio <riku.voipio@iki.fi>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 267434-close@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 267434-close@bugs.debian.org
Subject: Bug#267434: fixed in kdenetwork 4:3.3.0-2
Date: Sun, 29 Aug 2004 13:17:14 -0400
Source: kdenetwork
Source-Version: 4:3.3.0-2

We believe that the bug you reported is fixed in the latest version of
kdenetwork, which is due to be installed in the Debian FTP archive:

dcoprss_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/dcoprss_3.3.0-2_i386.deb
kdenetwork-filesharing_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/kdenetwork-filesharing_3.3.0-2_i386.deb
kdenetwork_3.3.0-2.diff.gz
  to pool/main/k/kdenetwork/kdenetwork_3.3.0-2.diff.gz
kdenetwork_3.3.0-2.dsc
  to pool/main/k/kdenetwork/kdenetwork_3.3.0-2.dsc
kdenetwork_3.3.0-2_all.deb
  to pool/main/k/kdenetwork/kdenetwork_3.3.0-2_all.deb
kdict_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/kdict_3.3.0-2_i386.deb
kget_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/kget_3.3.0-2_i386.deb
knewsticker_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/knewsticker_3.3.0-2_i386.deb
kopete_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/kopete_3.3.0-2_i386.deb
kpf_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/kpf_3.3.0-2_i386.deb
kppp_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/kppp_3.3.0-2_i386.deb
krdc_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/krdc_3.3.0-2_i386.deb
krfb_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/krfb_3.3.0-2_i386.deb
ksirc_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/ksirc_3.3.0-2_i386.deb
ktalkd_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/ktalkd_3.3.0-2_i386.deb
kwifimanager_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/kwifimanager_3.3.0-2_i386.deb
librss1-dev_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/librss1-dev_3.3.0-2_i386.deb
librss1_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/librss1_3.3.0-2_i386.deb
lisa_3.3.0-2_i386.deb
  to pool/main/k/kdenetwork/lisa_3.3.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 267434@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Riku Voipio <riku.voipio@iki.fi> (supplier of updated kdenetwork package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 28 Aug 2004 17:21:30 +0000
Source: kdenetwork
Binary: knewsticker kwifimanager dcoprss ksirc kdenetwork-filesharing kppp kpf krfb librss1-dev librss1 krdc ktalkd kdenetwork kdict kopete lisa kget
Architecture: source i386 all
Version: 4:3.3.0-2
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Riku Voipio <riku.voipio@iki.fi>
Description: 
 dcoprss    - KDE RSS utilities
 kdenetwork - KDE Network metapackage
 kdenetwork-filesharing - KDE Network Filesharing Configuration
 kdict      - KDE Dictionary Client
 kget       - KDE Download Manager
 knewsticker - KDE news ticker
 kopete     - Instant messenger program
 kpf        - KDE public fileserver
 kppp       - KDE dialer and frontend to pppd
 krdc       - KDE Remote Desktop Client
 krfb       - KDE Remote Screen Server
 ksirc      - KDE IRC client
 ktalkd     - KDE talk daemon
 kwifimanager - KDE Wireless Lan Manager
 librss1    - KDE RSS library
 librss1-dev - KDE RSS library [development]
 lisa       - LAN Information Server
Closes: 266553 266597 266600 267434
Changes: 
 kdenetwork (4:3.3.0-2) unstable; urgency=low
 .
   * New kdenetwork Release Manager
   * krdc: Conflict with older rdesktop (Closes: #267434)
   * kget: Apply patch from upstream to prevent crashing (Closes: #266553)
   * kopete: Recommend qca-tls (Closes: #266597)
   * kopete: Manage /usr/share/services/irc.protocol with update-alternatives
     (Closes: #266600) (Thanks, Nathan)
Files: 
 14508e1d3e723b0c6c3271f26c3b9691 1060 kde optional kdenetwork_3.3.0-2.dsc
 ae80da0db0d79dd23a9abf362d10ae10 42543 kde optional kdenetwork_3.3.0-2.diff.gz
 3dba401986e99205e0fe71edb3b44544 67778 net optional dcoprss_3.3.0-2_i386.deb
 00571f0beb162d1952ce77f4cdf923b3 619988 net optional kdenetwork-filesharing_3.3.0-2_i386.deb
 12e6f3f2252ea99ffed96e44cc2ecceb 253810 net optional kdict_3.3.0-2_i386.deb
 7a8048835c532a9c12938346cc7deb4f 458698 net optional kget_3.3.0-2_i386.deb
 7d475e976316c458e80508140c758f88 445090 kde optional knewsticker_3.3.0-2_i386.deb
 d61d9db3365e8d3fac34560f91f5a1ca 3765276 net optional kopete_3.3.0-2_i386.deb
 a4079b31f22894819687b1ff6d8d0512 179546 net optional kpf_3.3.0-2_i386.deb
 ba674745c6dd0894a9fe51b6d8cb67fd 662396 net optional kppp_3.3.0-2_i386.deb
 9c879bff4a4766b230254b95411cd2f1 489392 net optional krdc_3.3.0-2_i386.deb
 c21479cd693b9696c2b964dd4553b30e 1180608 net optional krfb_3.3.0-2_i386.deb
 cbb3bb0831a9d158ea1e1312f67f523b 715190 net optional ksirc_3.3.0-2_i386.deb
 8aa524d48b7477cb22e5e5998c3c220c 128822 net extra ktalkd_3.3.0-2_i386.deb
 0a07b1ed8cf5a3e7628fc5557de0e82e 180164 net optional kwifimanager_3.3.0-2_i386.deb
 1f75540183634b9d12c9a66a9cb5819e 42914 libs optional librss1_3.3.0-2_i386.deb
 c8dd48a8f7efaca40f9a0357d4e063cf 21510 libdevel optional librss1-dev_3.3.0-2_i386.deb
 af6e056b9d746c8f40a2ad9c874a8d15 157372 net optional lisa_3.3.0-2_i386.deb
 7be14f2953cec484101e81e8c411fc9a 10814 kde optional kdenetwork_3.3.0-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBMghLibPvMsrqrwMRAo3KAJ4rsQo/S5q0QSE+8a3rSUf/HzhnzACgv67b
BcIHCTgTEt1+xeEwU/KeaqM=
=4BCn
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#267434; Package krdc. Full text and rfc822 format available.

Acknowledgement sent to Petr Baláš <petr@balas.cz>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 267434@bugs.debian.org (full text, mbox):

From: Petr Baláš <petr@balas.cz>
To: 267434@bugs.debian.org
Subject: This solution is wrong
Date: Mon, 30 Aug 2004 19:49:56 +0200
krdc doesn't work with rdesktop 1.3.1. Yes this is problem but you can 
workaroud it by calling rdesktop directly.
Now krdc conflict with rdesktop 1.3.1 and there is no rdesktop 1.3.2
(see http://www.rdesktop.org - 1.3.1 is latest stable version) so you can't 
workaroud it by calling rdesktop directly. This is much worse situation!!!

-- 
Petr Baláš (petr at balas dot cz)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#267434; Package krdc. Full text and rfc822 format available.

Acknowledgement sent to Andrew Schulman <andrex@alumni.utexas.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 267434@bugs.debian.org (full text, mbox):

From: Andrew Schulman <andrex@alumni.utexas.net>
To: 267434@bugs.debian.org
Cc: petr@balas.cz
Subject: Re: This solution is wrong
Date: Thu, 2 Sep 2004 11:02:07 -0400
> krdc doesn't work with rdesktop 1.3.1. Yes this is problem but you can 
> workaroud it by calling rdesktop directly.
> Now krdc conflict with rdesktop 1.3.1 and there is no rdesktop 1.3.2
> (see http://www.rdesktop.org - 1.3.1 is latest stable version) so you can't 
> workaroud it by calling rdesktop directly. This is much worse situation!!!

I have to agree with Petr.  This isn't a solution, it's an annulation.  

krdc is supposed to be a VNC and rdesktop client.  Declaring it in conflict 
with rdesktop removes half of its functionality, and if we still want to use 
rdesktop, it makes krdc completely unusable.  This is a solution?

And besides, krdc is just a front end.  How serious can this supposed conflict 
be?  (I admit, I haven't read the source code to find out.)  Can we not try 
to solve it, instead of declaring immediate defeat?



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:31:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.